Bug 128263 - in.authd taking 99% cpu time
in.authd taking 99% cpu time
Product: Fedora
Classification: Fedora
Component: authd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Depends On:
  Show dependency treegraph
Reported: 2004-07-20 18:16 EDT by Adrian Likins
Modified: 2011-07-12 02:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-10 18:15:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix free of already freed object. (1.26 KB, patch)
2005-07-03 02:13 EDT, Ian Dall
no flags Details | Diff

  None (edit)
Description Adrian Likins 2004-07-20 18:16:43 EDT
Description of problem:

on my desktop, in.authd is taking all the cpu time it can get:

 5047 ident     25   0 50304 1008  48m R 95.4  0.0  83:33.61 in.authd

No idea why.

strace and ltrace dont seem to show it doing anything

attacking gdb and getting a bt shows:

#0  0x0000002a956c54cb in malloc_consolidate () from /lib64/tls/libc.so.6
#1  0x0000002a956c670f in _int_malloc () from /lib64/tls/libc.so.6
#2  0x0000002a956c8975 in malloc () from /lib64/tls/libc.so.6
#3  0x0000002a956b698a in __fopen_internal () from /lib64/tls/libc.so.6
#4  0x0000000000402c53 in get_info (out=0x7fbffff760, in={lport =
36922, rport = 25},
    pathname=0x4056b7 "/proc/net/tcp6") at authd.c:543
#5  0x000000000040419e in main (argc=5, argv=0x7fbffffc98) at authd.c:800
#6  0x0000002a95673fda in __libc_start_main () from /lib64/tls/libc.so.6
#7  0x0000000000401f0a in _start ()

and then frames 8-119 dont show debug info...

as far as I know, aside from irc to devserv, I
dont know of anything that would be using ident

Version-Release number of selected component (if applicable):

How reproducible:
No idea
Comment 1 Eido Inoue 2004-07-20 20:10:13 EDT
frame 4 shows that the remote port is 25, looks like a MTA is querying it.

Are you still able to reproduce this?
Comment 2 Adrian Likins 2004-07-21 12:05:12 EDT
looks like it, it started doing it overnight, so its currently doing
it on my workstation
Comment 3 Eido Inoue 2004-08-10 18:15:19 EDT
this seems to be working on sane compilers/environments now.
Comment 4 Ian Dall 2005-07-03 02:13:23 EDT
Created attachment 116304 [details]
Patch to fix free of already freed object.
Comment 5 Ian Dall 2005-07-03 02:18:59 EDT
I see this also, and discovered that it is due to an attempt to free a freed
object. This was verified by setting MALLOC_CHECK_=2 in the environment and
analysing the resultant core dump.
Comment 6 Vsevolod Volkov 2011-07-12 02:48:48 EDT
The bug is still not fixed in Fedora 15.

Note You need to log in before you can comment on or make changes to this bug.